	SUBROUTINE PARMS(ID)
C	ROUTINE TO CHANGE VALUES OF PROGRAM PARAMETERS
C	CURRENTLY ALLOWS UP TO 10 VALUES STORED IN "IPARM" IN COMMON
C 
C----------------------standard common block----------------------------
C 
	COMMON ICR(8,12),IPARM(10),IS1,IS2,NT,ICU(10,10,10,2),CLEAR(8)
	COMMON MARKER(4,3,3)
	LOGICAL*1 ICU,CLEAR
C 
C-----------------------------------------------------------------------
	LOGICAL*1 ANS
C 
C	NOTE: PARAMETER CHANGES MUST BE O.K.'D FROM INITIATING TERMINAL
	LUN=ICR(ID,8)
	WRITE(5,4) "7, ID
4	FORMAT(X,A1,'*** from player',I2,'
     C-- O.K. to change parameters ?   Y/N-',$)
	READ(5,3) ANS
	IF(ANS.NE.'Y') RETURN
	WRITE(LUN,2) "33,"33,CLEAR(ID)
2	FORMAT(X,A1,'Y  ',2A1//' -- crawler parameters --'//
     C' Enter new value or hit <CR> to leave unchanged')
C----------------
	WRITE(LUN,11) IPARM(1)
11	FORMAT(//' messages sent to:'/' 0: all terminals'/
     C' 1: active (player) terminals only'/
     C' current status',I2/' New status: ',$)
	READ(LUN,3) ANS
3	FORMAT(A1)
	IF(ANS.EQ.'0') IPARM(1)=0
	IF(ANS.EQ.'1') IPARM(1)=1
C----------------
	WRITE(LUN,12) IPARM(2)
12	FORMAT(//' delays on messages to cube-controlled crawlers:'/
     C' 0: need <CR> (response)'/' 1 to 8: 1 to 8 second delay'/
     C' 9: no delay'/' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.GE.'0'.AND.ANS.LE.'9') IPARM(2)=ANS-48
C-----------------
	WRITE(LUN,13) IPARM(3)
13	FORMAT(//' "destroyed area at coordinates" message from'/
     C' cube-controlled crawlers:'/' 0: no'/' 1: yes'/
     C' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.EQ.'0') IPARM(3)=0
	IF(ANS.EQ.'1') IPARM(3)=1
C----------------
	WRITE(LUN,14) IPARM(4)
14	FORMAT(//' delay between plane views in SCAN and X-RAY scan:'/
     C' 0: need <CR> (response)'/' 1 to 9: (number * .3) second delay'/
     C' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.GE.'0'.AND.ANS.LE.'9') IPARM(4)=ANS-48
C-------------------
	WRITE(LUN,15) IPARM(5)
15	FORMAT(//' delay between plane views in WHOLE-CUBE scan:'/
     C' 0: need <CR> (response)'/' 1 to 9: (number * .3) second delay'/
     C' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.GE.'0'.AND.ANS.LE.'9') IPARM(5)=ANS-48
C-------------------
9	WRITE(LUN,16) IPARM(6)
16	FORMAT(//' maximum energy level for cube space:'/
     C' current level is',I3'.  Enter X to set to 0, <CR> to leave'/
     C' unchanged or a number from 0 to 9.  If a number is entered,'/
     C' that amount will be added to the current level: ',$)
	READ(LUN,3) ANS
	IF(ANS.EQ.'X') IPARM(6)=0
	IF(ANS.GE.'0'.AND.ANS.LE.'9') IPARM(6)=IPARM(6)+ANS-48
	IF((ANS.LE.'9'.AND.ANS.GE.'0').OR.ANS.EQ.'X') GOTO 9
C-----------------
	WRITE(LUN,17) IPARM(7)
17	FORMAT(//' full status string for crawlers in PSCAN:'/
     C' 0: no'/' 1: yes'/' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.EQ.'0') IPARM(7)=0
	IF(ANS.EQ.'1') IPARM(7)=1
C------------------
	WRITE(LUN,18) IPARM(8)
18	FORMAT(//' lun assignments listed:'/' 0: no'/' 1: yes'/
     C' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.EQ.'0') IPARM(8)=0
	IF(ANS.EQ.'1') IPARM(8)=1
C--------------------
	WRITE(LUN,19) IPARM(9)
19	FORMAT(//' debug display for OSCAN2,3:'/' O: off'/' 1: on'/
     C' current status:',I2/' New status: ',$)
	READ(LUN,3) ANS
	IF(ANS.EQ.'0') IPARM(9)=0
	IF(ANS.EQ.'1') IPARM(9)=1
C----------------
21	RETURN
	END
